<?php
namespace Ak\Orm;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Orm
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
final class ConfigProvider extends ConfigAggregator
{
    public function __construct()
    {
        parent::__construct([
            \Ak\Db\ConfigProvider::class,
            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ]);
    }

    /**
     * Vraća konfiguraciju
     *
     * @return array
     */
    public function __invoke(): array
    {
        return $this->getMergedConfig();
    }
}
