<?php
namespace Ak\Orm\Entity;

use Doctrine\ORM\Mapping as ORM;
use Gedmo\Mapping\Annotation as Gedmo;
use Gedmo\Timestampable\Traits\TimestampableEntity;
use Laminas\Form\Annotation as Form;

/**
 * Trait TimestampableTrait
 * @package Ak\Orm\Entity
 */
trait TimestampableTrait
{
    use TimestampableEntity;

    /**
     * @var \DateTime
     *
     * @Gedmo\Timestampable(on="create")
     * @ORM\Column(type="datetime")
     * @Form\Exclude()
     */
    protected $createdAt;

    /**
     * @var \DateTime
     *
     * @Gedmo\Timestampable(on="update")
     * @ORM\Column(type="datetime")
     * @Form\Exclude()
     */
    protected $updatedAt;
}
