<?php
namespace Ak\Orm\Middleware;

use Doctrine\ORM\EntityManagerInterface;
use Interop\Container\ContainerInterface;
use Psr\Http\Server\MiddlewareInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class EntityManagerMiddlewareFactory
 *
 * @package Ak\Orm\Middleware
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
final class EntityManagerMiddlewareFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param ContainerInterface $container
     * @param string $requestedName
     * @param null|array $options
     *
     * @return MiddlewareInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $em = $container->get(EntityManagerInterface::class);
        return new EntityManagerMiddleware($em);
    }
}
