<?php
namespace Ak\Orm\Service;

use Ak\Container\ContainerAwareInitializer;
use Doctrine\Common\Persistence\ObjectRepository;
use Laminas\ServiceManager\AbstractPluginManager;
use Laminas\Stdlib\ArrayUtils;

final class RepositoryPluginManager extends AbstractPluginManager
{
    const CONFIG_KEY = 'orm_repositories';

    protected $instanceOf = ObjectRepository::class;

    public function __construct($configInstanceOrParentLocator = null, array $config = [])
    {
        parent::__construct($configInstanceOrParentLocator, ArrayUtils::merge($config, [
            'abstract_factories' => [
                RepositoryAbstractFactory::class,
            ],

            'initializers' => [
                ContainerAwareInitializer::class,
            ],
        ]));
    }
}
