<?php
namespace AkTest\Orm\Entity;

use AkTest\Orm\AbstractTestCase;
use Doctrine\ORM\EntityManagerInterface;

final class AbstractEntityTest extends AbstractTestCase
{
    public function testAllEntitiesHaveAnId()
    {
        $container = $this->getContainer();

        $entity = new ConcreteEntity();
        $entity->setName('some name');

        /** @var EntityManagerInterface $em */
        $em = $container->get('em');
        $em->persist($entity);
        $em->flush();

        $this->assertEquals(1, $entity->getId());

        /** @var ConcreteEntity $entity */
        $entity = $em->find(ConcreteEntity::class, 1);
        $this->assertEquals('some name', $entity->getName());
    }
}