<?php
namespace AkTest\Orm\Entity;

use Ak\Orm\Entity\AbstractEntity;
use Doctrine\ORM\Mapping as ORM;
use Laminas\Hydrator\HydratorAwareInterface;
use Laminas\Hydrator\HydratorAwareTrait;
use Laminas\Hydrator\ReflectionHydrator;

/**
 * Class ConcreteEntity
 *
 * @package AkTest\Orm\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 *
 * @ORM\Entity
 * @ORM\Table(name="concrete")
 */
class ConcreteEntity extends AbstractEntity implements HydratorAwareInterface
{
    use HydratorAwareTrait;

    /**
     * @var string
     * @ORM\Column(type="string")
     */
    private $name;

    /**
     * ConcreteEntity constructor.
     */
    public function __construct()
    {
        $this->hydrator = new ReflectionHydrator();
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name): void
    {
        $this->name = $name;
    }
}
