<?php
namespace AkTest\Orm\Service;

use Ak\Orm\Service\RepositoryAbstractFactory;
use AkTest\Orm\AbstractTestCase;
use Doctrine\Common\Persistence\ObjectRepository;
use Doctrine\ORM\EntityRepository;

/**
 * Class RepositoryAbstractFactoryTest
 *
 * @package AkTest\Orm\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
final class RepositoryAbstractFactoryTest extends AbstractTestCase
{
    public function testCanCreateRepositoriesFromEntity()
    {
        $container = $this->getContainer();
        $factory = new RepositoryAbstractFactory();

        $this->assertTrue($factory->canCreate($container, CustomEntity::class));
    }

    public function testCanCreateRepository()
    {
        $container = $this->getContainer();
        $factory = new RepositoryAbstractFactory();

        /** @var EntityRepository $repo */
        $repo = $factory($container, CustomEntity::class);
        $this->assertInstanceOf(CustomRepository::class, $repo);
    }

    public function testCanCreateDefaultRepository()
    {
        $container = $this->getContainer();
        $factory = new RepositoryAbstractFactory();

        $this->assertTrue($factory->canCreate($container, DefaultEntity::class));

        $repo = $factory($container, DefaultEntity::class);
        $this->assertInstanceOf(ObjectRepository::class, $repo);
    }
}