<?php
namespace AkTest\Orm\Service;

use Ak\Container\ContainerAwareInterface;
use AkTest\Orm\AbstractTestCase;

/**
 * Class RepositoryTest
 *
 * @package AkTest\Orm\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
final class RepositoryTest extends AbstractTestCase
{
    public function testContainerCanBeInjected()
    {
        $em = $this->getEntityManager();
        /** @var ContainerAwareInterface $repo */
        $repo = $em->getRepository(CustomEntity::class);

        $container = $this->getContainer();
        $this->assertInstanceOf(ContainerAwareInterface::class, $repo);
        $this->assertSame($container, $repo->getContainer());
    }
}