<?php
namespace AkTest\Orm;

use Ak\Form\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

final class TestConfigProvider extends ConfigAggregator
{
    public function __construct()
    {
        parent::__construct([
            ConfigProvider::class,
            new ArrayProvider([
                'development' => true,

                'db' => [
                    'default_connection' => 'memory',

                    'connections' => [
                        'memory' => [
                            'driver' => 'pdo_sqlite',
                            'memory' => true,
                        ],
                        'mysql' => [
                            'driver' => 'pdo_mysql',
                            'user' => 'root',
                            'password' => 'password',
                            'dbname' => 'test',
                            'charset' => 'utf8',
                            'host' => 'localhost',
                        ],
                    ],
                ],

                'orm' => [
                    'connection' => 'db',
                    'proxy_dir' => __DIR__ . '/var/doctrine/proxy',
                    'cache' => [
                        'options' => [
                            'directory' => __DIR__ . '/var/doctrine/metadata',
                        ],
                    ],
                    'entity_paths' => [
                        __NAMESPACE__ => [
                            __DIR__ . '/Entity',
                            __DIR__ . '/Type',
                        ],
                        'AkCustomer\Entity\\' => __DIR__ . '/mock-customer',
                        'AkEmployee\Entity\\' => __DIR__ . '/mock-employee',
                    ],
                ],
            ]),
        ]);
    }

    public function __invoke()
    {
        return $this->getMergedConfig();
    }
}
